For the complete documentation index, see llms.txt. This page is also available as Markdown.

List User & Invite account accesses

Get list of account accesses for which specifier_type is User or Invite. You have to have account admin/owner permissions for this endpoint to work.

If you specify project_ids, sandbox_ids or domain_ids, the endpoint will return account accesses for these resources.

get
Authorizations
Api-TokenstringRequired

Pass the API token in the Api-Token

Query parameters
project_idsstring[]Optional

The identifiers of the projects for which to include the results

Example: ["3938"]
sandbox_idsstring[]Optional

The identifiers of the sandboxes for which to include the results

Example: ["3757"]
domain_idsstring[]Optional

The identifiers of the domains for which to include the results

Example: ["3883"]
Responses
200

OK

application/json

Assigns resource-specific permissions to a specifier.

idintegerOptional

The unique identifier of the account access

Example: 42
specifier_typestring · enumOptional

The type of the specifier that has permissions to the resources

Example: UserPossible values:
specifierany ofOptional

Entity that has permissions to the resources

or
or
get/api/account_accesses
curl -X GET https://mailtrap.io/api/account_accesses \
  -H 'Authorization: Bearer YOUR_API_KEY'
[
  {
    "id": 42,
    "specifier_type": "User",
    "specifier": {
      "id": 1,
      "email": "name@gmail.com",
      "name": "text",
      "two_factor_authentication_enabled": true
    },
    "resources": [
      {
        "resource_id": 1,
        "resource_type": "account",
        "access_level": 1000
      }
    ],
    "permissions": {
      "can_read": true,
      "can_update": true,
      "can_destroy": true,
      "can_leave": true
    }
  }
]

Last updated

Was this helpful?